devel/p5-UNIVERSAL-moniker - The NetBSD Packages Collection

Perl module for assigning user-friendly names to classes

Class names in Perl often don't sound great when spoken, or look good
when written in prose. For this reason, we tend to say things like
"customer" or "basket" when we are referring to
"My::Site::User::Customer" or "My::Site::Shop::Basket". We thought it
would be nice if our classes knew what we would prefer to call them.

This module will add a "moniker" (and "plural_moniker") method to
"UNIVERSAL", and so to every class or module.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/p5-Lingua-EN-Inflect lang/perl5 lang/perl5

Available binary packages

aarch64:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
aarch64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
aarch64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
alpha:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
alpha:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
alpha:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earm:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earm:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
earm:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv6hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv6hf:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
earmv6hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv6hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 8.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 8.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
earmv7hf:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
i386:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 8.0)
i386:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
i386:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
i386:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
i386:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
i386:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
m68k:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
m68k:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
mips64eb:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
mips64eb:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
mipsel:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
powerpc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
powerpc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
powerpc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
powerpc:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
powerpc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sh3el:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sh3el:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sparc64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sparc64:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
sparc64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sparc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
sparc:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
vax:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 8.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 8.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb13.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)
x86_64:p5-UNIVERSAL-moniker-0.08nb14.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]